# Connect a channel by pasting its credentials

`POST /workspace/publish/paste` · Rivier · social

Connect a channel by pasting its credentials.

- Scope: social:write
- Graphql: Mutation.socialPostPaste
- Sdk: social.post.paste
- Cli: social post paste

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "channel": {
      "type": "string",
      "minLength": 1,
      "maxLength": 32
    },
    "label": {
      "type": "string",
      "maxLength": 120
    },
    "fields": {
      "type": "object",
      "additionalProperties": {
        "type": "string",
        "maxLength": 2000
      }
    }
  },
  "required": [
    "channel",
    "fields"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/publish/paste' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "channel": "string",
  "fields": {}
}'
```
